Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

conform to app generated by version 1.5.5 of rails_apps_composer

  • Loading branch information...
commit e3add49ee87e7049280f245c1bafa67e65a4912c 1 parent f9e4387
@DanielKehoe DanielKehoe authored
Showing with 38 additions and 32 deletions.
  1. +5 −5 Gemfile
  2. +27 −27 Gemfile.lock
  3. +6 −0 spec/spec_helper.rb
View
10 Gemfile
@@ -7,14 +7,14 @@ group :assets do
gem 'uglifier', '>= 1.0.3'
end
gem 'jquery-rails'
-gem "rspec-rails", ">= 2.10.1", :group => [:development, :test]
-gem "factory_girl_rails", ">= 3.3.0", :group => [:development, :test]
+gem "rspec-rails", ">= 2.11.0", :group => [:development, :test]
+gem "factory_girl_rails", ">= 3.5.0", :group => [:development, :test]
gem "email_spec", ">= 1.2.1", :group => :test
gem "cucumber-rails", ">= 1.3.0", :group => :test, :require => false
gem "capybara", ">= 1.1.2", :group => :test
gem "database_cleaner", ">= 0.8.0", :group => :test
gem "launchy", ">= 2.1.0", :group => :test
-gem "devise", ">= 2.1.0"
-gem "cancan", ">= 1.6.7"
+gem "devise", ">= 2.1.2"
+gem "cancan", ">= 1.6.8"
gem "rolify", ">= 3.1.0"
-gem "bootstrap-sass", ">= 2.0.3"
+gem "bootstrap-sass", ">= 2.0.4.0"
View
54 Gemfile.lock
@@ -31,9 +31,9 @@ GEM
addressable (2.2.8)
arel (3.0.2)
bcrypt-ruby (3.0.1)
- bootstrap-sass (2.0.3.1)
+ bootstrap-sass (2.0.4.0)
builder (3.0.0)
- cancan (1.6.7)
+ cancan (1.6.8)
capybara (1.1.2)
mime-types (>= 1.16)
nokogiri (>= 1.3.3)
@@ -41,7 +41,7 @@ GEM
rack-test (>= 0.5.4)
selenium-webdriver (~> 2.0)
xpath (~> 0.1.4)
- childprocess (0.3.2)
+ childprocess (0.3.3)
ffi (~> 1.0.6)
coffee-rails (3.2.2)
coffee-script (>= 2.2.0)
@@ -72,13 +72,13 @@ GEM
erubis (2.7.0)
execjs (1.4.0)
multi_json (~> 1.0)
- factory_girl (3.4.2)
+ factory_girl (3.5.0)
activesupport (>= 3.0.0)
- factory_girl_rails (3.4.0)
- factory_girl (~> 3.4.0)
+ factory_girl_rails (3.5.0)
+ factory_girl (~> 3.5.0)
railties (>= 3.0.0)
ffi (1.0.11)
- gherkin (2.11.0)
+ gherkin (2.11.1)
json (>= 1.4.6)
hike (1.2.1)
i18n (0.6.0)
@@ -95,10 +95,10 @@ GEM
i18n (>= 0.4.0)
mime-types (~> 1.16)
treetop (~> 1.4.8)
- mime-types (1.18)
+ mime-types (1.19)
multi_json (1.3.6)
- nokogiri (1.5.4)
- orm_adapter (0.3.0)
+ nokogiri (1.5.5)
+ orm_adapter (0.4.0)
polyglot (0.3.3)
rack (1.4.1)
rack-cache (1.2)
@@ -126,21 +126,21 @@ GEM
rdoc (3.12)
json (~> 1.4)
rolify (3.1.0)
- rspec (2.10.0)
- rspec-core (~> 2.10.0)
- rspec-expectations (~> 2.10.0)
- rspec-mocks (~> 2.10.0)
- rspec-core (2.10.1)
- rspec-expectations (2.10.0)
+ rspec (2.11.0)
+ rspec-core (~> 2.11.0)
+ rspec-expectations (~> 2.11.0)
+ rspec-mocks (~> 2.11.0)
+ rspec-core (2.11.0)
+ rspec-expectations (2.11.1)
diff-lcs (~> 1.1.3)
- rspec-mocks (2.10.1)
- rspec-rails (2.10.1)
+ rspec-mocks (2.11.1)
+ rspec-rails (2.11.0)
actionpack (>= 3.0)
activesupport (>= 3.0)
railties (>= 3.0)
- rspec (~> 2.10.0)
+ rspec (~> 2.11.0)
rubyzip (0.9.9)
- sass (3.1.19)
+ sass (3.1.20)
sass-rails (3.2.5)
railties (~> 3.2.0)
sass (>= 3.1.10)
@@ -155,13 +155,13 @@ GEM
rack (~> 1.0)
tilt (~> 1.1, != 1.3.0)
sqlite3 (1.3.6)
- thor (0.15.3)
+ thor (0.15.4)
tilt (1.3.3)
treetop (1.4.10)
polyglot
polyglot (>= 0.3.1)
tzinfo (0.3.33)
- uglifier (1.2.5)
+ uglifier (1.2.6)
execjs (>= 0.3.0)
multi_json (~> 1.3)
warden (1.2.1)
@@ -173,20 +173,20 @@ PLATFORMS
ruby
DEPENDENCIES
- bootstrap-sass (>= 2.0.3)
- cancan (>= 1.6.7)
+ bootstrap-sass (>= 2.0.4.0)
+ cancan (>= 1.6.8)
capybara (>= 1.1.2)
coffee-rails (~> 3.2.1)
cucumber-rails (>= 1.3.0)
database_cleaner (>= 0.8.0)
- devise (>= 2.1.0)
+ devise (>= 2.1.2)
email_spec (>= 1.2.1)
- factory_girl_rails (>= 3.3.0)
+ factory_girl_rails (>= 3.5.0)
jquery-rails
launchy (>= 2.1.0)
rails (= 3.2.6)
rolify (>= 3.1.0)
- rspec-rails (>= 2.10.1)
+ rspec-rails (>= 2.11.0)
sass-rails (~> 3.2.3)
sqlite3
uglifier (>= 1.0.3)
View
6 spec/spec_helper.rb
@@ -32,4 +32,10 @@
# automatically. This will be the default behavior in future versions of
# rspec-rails.
config.infer_base_class_for_anonymous_controllers = false
+
+ # Run specs in random order to surface order dependencies. If you find an
+ # order dependency and want to debug it, you can fix the order by providing
+ # the seed, which is printed after each run.
+ # --seed 1234
+ config.order = "random"
end
Please sign in to comment.
Something went wrong with that request. Please try again.